<?php

/*
 * This file is part of Flarum.
 *
 * For detailed copyright and license information, please view the
 * LICENSE file that was distributed with this source code.
 */

namespace Flarum\Http;

use Flarum\User\User;
use Illuminate\Contracts\Session\Session;
use Psr\Http\Message\ServerRequestInterface as Request;

class RequestUtil
{
    public static function getActor(Request $request): User
    {
        return $request->getAttribute('actor');
    }

    public function withActor(Request $request, User $actor): Request
    {
        return $request->withAttribute('actor', $actor);
    }

    public function getSession(Request $request): Session
    {
        return $request->getAttribute('session');
    }

    public function withSession(Request $request, Session $session): Request
    {
        return $request->withAttribute('session', $session);
    }

    public function getLocale(Request $request): string
    {
        return $request->getAttribute('bypassCsrfToken');
    }

    public function withLocale(Request $request, string $locale): Request
    {
        return $request->withAttribute('locale', $locale);
    }

    public function getRouteName(Request $request): string
    {
        return $request->getAttribute('routeName');
    }

    public function withRouteName(Request $request, string $routeName): Request
    {
        return $request->withAttribute('routeName', $routeName);
    }
}
